четверг, 6 октября 2011 г.

[prog] Вот так Ruby 1.8.* и закончит свои дни…

Из свежей новости о дальнейшей судьбе Ruby 1.8.7:

* We continue to provide normal maintenance for 1.8.7 as usual, until June 2012. You can safely assume we provide bugfixes and no incompatibility shall be introduced.

* After that we stop bugfixes. We still provide security fixes until June 2013, in case you are still using 1.8.7.

* We will no longer support 1.8.7 in all senses after June 2013.

Т.е. до июня 2012 еще будет проводиться исправление ошибок. Потом, до июня 2013 будут исправляться только ошибки, связанные с безопасностью. После июня 2013 ничего уже не будет :)

В принципе, ожидаемо. Но грустно – есть всего год на то, чтобы разобраться с тараканами ветки 1.9 и таки перейти на нее :( Боюсь, не успею ;)

PS. Оказывается, я уже шесть лет пользуюсь Ruby, как раз 1.8. Как быстро летит время.

5 комментариев:

имя комментирует...

а у нас, в дебиане, руби 1.8 есть в стабильной версии и есть в тестовой версии, значит, скорее всего, будет поддерживаться минимум 3...4 года

1-е "скорее всего" вызвано тем, что я руби не юзаю -- и не слежу за планами, а 2-е "скорее всего" подтверждается обычной историей дебиана

имя комментирует...

< troll > так что правильно было бы написать "Вот так Ruby 1.8.* и закончит свои дни под непригодной для жизни виндой" < /troll >

Евгений Охотников комментирует...

@имя:

Да таким же образом 1.8 будет и под виндами жить.

Намного хуже, что 1.9 пока не шибко приспособлена для винды. В частности 64-битной -- в стандартном дистрибутиве, помнится, каких-то библиотек не хватало.

Rustam комментирует...

Я вот не пойму зачем для open source проекта что-то закрывать. Полазил по питоновскому сайту ничего ни про поддержку ни про закрытие не увидел, видны только даты последних исправленных релизов http://python.org/download/releases/

Евгений Охотников комментирует...

@Rustam:

Подозреваю, что там модель разработки отличается от таковой в Python. Видимо, есть ядро разработчиков, которые трудятся над Ruby на full-time за деньги какой-то компании. При таком раскладе становится понятно, почему собираются прекратить поддержку старой версии.